﻿



/*#region video */
/* video는 이미지 스크롤 제거 */
.video_box .thumb:hover > img {
    transform: none !important;
}

/* video 오버레이 */
.video_overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: 0.3s;
    z-index: 5;
}
.video_box:hover .video_overlay {
    opacity: 1;
}
.play_icon {
    width: 70px;
}



.video_modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.7);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.video_modal_inner {
    color: #fff;
    width: 900px;
    max-width: 95%;
    overflow: hidden;
    position: absolute; 
    top: 50%; 
    left: 50%; 
    transform: translate(-50%, -50%); 
}
.video_modal_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1.2rem;
}
.video_modal_header h3 {
    margin-bottom: 5px;
}
.video_modal_header p {
    color: #bababa;
    font-size: 14px;
}
.video_close {
    background: none;
    border: none;
    font-size: 31px;
    cursor: pointer;
    color: #fff;
}
.video_box .thumb:hover > img {
    transform: none !important;
}
.video_overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: 0.3s;
}
.video_box:hover .video_overlay {
    opacity: 1;
}
.video_modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.7);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99999;
}
.video_modal_header {
    display: flex;
    justify-content: space-between;
}
.video_container {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
}
.video_container iframe {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 15px;
}


.service_box:hover .thumb::after{
    opacity: 1;
}
.service_box:hover .preview_btn{
    display: block;
}

/*#endregion*/



/*#region 상단*/
/*타이틀*/
.title{
    text-align: center;
    margin-bottom: 3rem;
}

.title .cate{
    display: inline-block;
    background: var(--light-color);
    color: var(--main-color);
    font-size: 1rem;
    padding: 0.5rem 1.5rem;
    margin: 0 auto;
    border-radius: 50px;
}

.title h2{
    font-weight: 800;
    font-size: 2.5rem;
    margin: 1rem auto;
    word-break: keep-all;
    cursor: default;
}

.title p{
    color: var(--gray1-color);
    font-size: 1rem;
}

@media (max-width:984px) {

    .title .cate{
        font-size:0.94rem;
    }

    .title h2{
        font-size: 2.13rem;
    }
    
    .title p{
        font-size: 1.05rem;
    }

}

@media (max-width:580px) {

    .title .cate{
        font-size:0.87rem;
    }

    .title h2{
        font-size: 1.88rem;
    }
    
    .title p{
        font-size: 1rem;
    }

}

.service{
    padding: 5rem 0;
    background: var(--light-color);
    padding: 80px 1.5rem;
    border-radius: 0 0 50px 50px;
}

/*서비스 설명*/
.expbox{
    margin: 3rem 0;
}
.exp_tit{
    font-size: 1.5rem;
    font-weight: 700;
    color: #000;
    text-align: center;
    line-height: 160%;
    margin-bottom: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
.exp_tex{
    font-size: 1.13rem;
    font-weight: 600;
    text-align: center;
    color: #616161;
    line-height: 160%;
}
.expbox img{
    width: 30px;
    margin-right: 0.3rem;
}
.expbox span{
    color: var(--main-color);
}

.service>div{
    max-width: 1000px;
    margin: 0 auto;
}

.service .cate{
    background: #fff !important;
}


.tabmenu {
    overflow-x: auto;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch; /* 모바일 부드럽게 */
    touch-action: pan-x;
    margin: 0 auto;
}

.tabmenu > div {
    display: flex;
    background: #fff;
    padding: 0.8rem;
    flex-wrap: nowrap; /* 줄바꿈 방지 */
    border-radius: 50px;
    gap: 8px;
    min-width: max-content; /* 내용만큼 늘어남 */
    justify-content: center;
    width: max-content;
    margin: 0 auto;
}

.tabmenu span{
    font-size: 1.13rem;
}

.opt_obj:not(:last-child){
    margin-right: 0 !important;
}

.opt_obj input[type="radio"] + span{
    width: 140px;
    height: 50px;
    line-height: 50px;
    padding: 0;
}

.opt_obj input[type="radio"]:checked + span{
    width: 140px;
    height: 50px;
    line-height: 50px;
    padding: 0;
    border: none;
    border-radius: 50px;
    box-shadow: 0 0 6px 0 #9FC7EF;
}

.service_wrap{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

.service_box{
    border-radius: 25px;
    border: 1px solid #e5e5e5;
    transition: all 0.3s ease-in-out;
    cursor: pointer;

}

.service_box .tag{
    /*display: none;*/
    position: absolute;
    top: 20px;
    left: 20px;
    padding: 0.2rem 0.8rem;
    background: #55A6F6;
    color: #fff;
    border-radius: 50px;
    z-index: 98;
}

.thumb{
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 260px;
    overflow: hidden;
    border-radius: 25px 25px 0 0;
}

/* 어두운 오버레이 */
.thumb::after {
    content: '';
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none; /* 클릭 방해 X */
    z-index: 2;
}

.thumb>img{
    position: relative;
    z-index: 1;
    width: 100%;
    transform: translateY(0);
    transition: transform 3s ease;
}

.thumb:hover > img {
    transition: transform 8s ease;
    transform: translateY(-50%);
}

.btn{
    position: absolute;
    bottom: 15px;
    right: 36%;
    display: flex;
    z-index: 99;
    column-gap: 0.7rem;
}

.preview_btn{
    display: none;
    cursor: pointer;
    background: none;
    padding: 0;
}

.preview_btn img{
    width: 58px;
    transition: transform 0.2s ease;
}
.preview_btn img:hover{
    transform: scale(1.1);
}

.info{
    background: #fff;
    border-radius: 0 0 25px 25px;
    padding: 1rem;
    cursor: pointer;
}

.info h3{
    width: 100%;
    cursor: pointer;
}
.info div{
    display: flex;
    width: 100%;
    justify-content: flex-end;
    align-items: center;
    column-gap: 0.5rem;
}

.info div p{
    font-size: 1.25rem;
    font-weight: 700;
    color: var(--main-color);
}

.info div span{
    color: #9D9D9D;
    text-decoration: line-through;
}

.service_box:hover .thumb::after{
    opacity: 1;
}
.service_box:hover .preview_btn{
    display: block;
}

@media (max-width:984px){

    .service{
        padding: 5rem 1.5rem;
    }

    .service_wrap{
        gap: 1.5rem;
    }

    .preview_btn img{
        width: 50px;
    }

}

@media (max-width:768px) {

    .service_wrap {
        gap: 1rem;
        grid-template-columns: repeat(1, 1fr);
    }

    .btn{
        right: 42%;
    }

    .preview_btn{
        display: block;
    }

    .preview_btn img{
        width: 45px;
    }

}

@media (max-width:580px) {

    .service{
        padding: 4rem 1.5rem;
    }

    .title{
        margin-bottom: 2rem;
    }

    .tabmenu{
        margin-bottom: 2.5rem;
    }

    .tabmenu > div{
        padding: 0.6rem;
    }

    .tabmenu span{
        font-size: 1rem;
    }

    .opt_obj input[type="radio"] + span,
    .opt_obj input[type="radio"]:checked + span  {
        width: 120px;
        height: 45px;
        line-height: 45px;
    }

    .btn{
        right: 39%;
    }

}

@media (max-width:480px) {

    .targetbox{
        padding: 0.9rem;
    }

    .thumb{
        height: 220px;
    }

    .btn{
        right: 36%;
    }

}
/*#endregion*/

/*#region 하단*/

.top_item.active {
    display: block;
}
.top_item{
    display: none;
    max-width: 1000px;
    margin: 8rem auto 15rem auto;
    padding: 0 1.5rem;
}
.top_wrap{
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 2rem;
}

.top_wrap>img{
    width: 380px;
}

.reco{
    width: 100%;
}

.reco h2{
    font-size: 2.25rem;
    margin-bottom: 2rem;
    cursor: default;
}

.reco h2 img{
    width: 40px;
    margin: 0 0.3rem 0.3rem 0;
}

.reco>p{
    color: #515151;
    font-size: 1.25rem;
    margin-bottom: 2rem;
}

.targetbox{
    display: flex;
    column-gap: 1rem;
    align-items: center;
    background: #F8F6F6;
    border-radius: 10px;
    padding: 1.1rem; 
}

.targetbox:not(:last-child){
    margin-bottom: 1rem;
}

.targetbox img{
    width: 20px;
}

@media (max-width:1080px) {

    .top_wrap>img{
        width: 300px;
    }

    .reco h2{
        margin-bottom: 1.5rem;
    }

    .reco>p{
        margin-bottom: 1.5rem;
    }

}

@media (max-width:984px){

    .top_wrap{
        margin: 120px auto 5rem;
        gap: 1rem;
    }

    .top_wrap>img{
        width: 280px;
    }

    .reco h2{
        font-size: 2rem;
    }

    .reco h2 img{
        width: 35px;
    }

    .reco>p{
        font-size: 1.13rem;
    }

}

@media (max-width:768px) {

    .top_wrap{
        flex-direction: column;
        gap: 1rem;
    }

    .top_wrap>img{
        display: none;
    }

}

@media (max-width:580px) {

    .top_wrap>img{
        width: 250px;
    }

    .reco h2{
        font-size: 1.75rem;
    }

    .reco h2 img{
        width: 30px;
        margin: 0 0.1rem 0.2rem 0;
    }

    .reco>p{
        font-size: 1rem;
    }

}

@media (max-width:480px) {

    .top_wrap>img{
        width: 220px;
    }

}
/*#endregion*/

/* #region 표 디자인 */

.table_wrap table{
    table-layout: auto;
}

.table_com{
    margin-top: 8rem;
}
.table_com h2{
    font-size:22px;
    margin-bottom:10px;
}
.table_com h2 span{
    font-size:13px;
    color:#888;
    margin-left:10px;
}

.table_wrap{
    border: 1px solid #dedede;
    padding: 1rem;
    border-radius: 20px;
    overflow-x:auto;
}

.table_wrap table{
    table-layout: fixed;
}
.table_com table{
    width:100%;
    min-width:400px;
    border-collapse:collapse;
    background:#fff;
}
.table_com tbody{
    color: #999;
    font-weight: 500;
}
.table_com th,.table_com td{
    padding:14px;
    text-align:center;
    /*border-bottom:1px dashed #eee;*/
    transition:background .2s ease;
}
.table_com tbody th{
    text-align:left;
    color: #111;
    font-weight: 600;
}
.table_com thead th{
    font-weight:700;
}


/* 기본 제작 비용 */
.fast_price thead th:first-child,
.custom_price thead th:first-child,
.table_com tfoot th {
    text-align: left;
}
/* 제작서비스 기본제작표 공통 */
.fast_price tbody td:nth-child(2), .fast_price .highlight,
.custom_price tbody td:nth-child(3), .custom_price .highlight ,
.solution_price .center, .solution_price .highlight {
    background:var(--light-color);
    color:#222;
}
.fast_price tbody tr:first-child td:nth-child(2),
.custom_price tbody tr:first-child td:nth-child(3),
.solution_price tbody tr:first-child td:nth-child(4){
    border-top-left-radius:20px;
    border-top-right-radius:20px;
}
.fast_price tfoot tr td:nth-child(2), 
.custom_price tfoot tr td:nth-child(3),
.solution_price tfoot tr td:nth-child(4){
    border-bottom-left-radius:20px;
    border-bottom-right-radius:20px;
}
.fast_price .price, .custom_price .price, .solution_price .price{
    font-weight:700;
    font-size:1.13rem;
    color:var(--main-color);
}

.price_black{
    color: #999;
    font-weight: 700;
}

/* 영상 제작 */
.top_item .video_price thead th{
    background: none;
}



/* 행3개 테이블 */
.row3 tr:hover td{
    background: var(--light-color);
    transition: color .25s;
    color: #222;
    font-weight: 600;

}
.row3 th:nth-child(1),
.row3 td:nth-child(1){
    width: 15%;
}
.row3 th:nth-child(2),
.row3 td:nth-child(2){
    width: 42.5%;
}
.row3 th:nth-child(3),
.row3 td:nth-child(3){
    width: 42.5%;
}

.row3 td:first-child{
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}
.row3 td:last-child{
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}



/* 행4개 테이블  */
.row4 th:nth-child(1),
.row4 td:nth-child(1){
    width: 14%;
}
.row4 th:nth-child(2),
.row4 td:nth-child(2){
    width: 33%;
}
.row4 th:nth-child(3),
.row4 td:nth-child(3){
    width: 33%;
}
.row4 th:nth-child(4),
.row4 td:nth-child(4){
    width: 20%;
}


/* 행 2개 테이블 */

.row4 tr:hover td:not(.row4_none){
    background: var(--light-color);
    transition: color .25s;
    color: #222;
    font-weight: 600;
}
.row2 td:first-child,
.row4 td:first-child{
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}
.row2 td:last-child,
.row4 td:last-child{
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}
.row2 tbody tr:hover td{
    background: var(--light-color);
    transition: color .25s;
    color: #222;
    font-weight: 600;
}


@media (max-width:984px) {
    .table_wrap{
    touch-action: pan-x;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    }
    .table_com table{
        font-size: .93rem;
        overflow-x: auto;
    table-layout: auto;
    }
}
@media (max-width: 768px) {
    .table_com th, .table_com td {
        padding: 8px;
    }
   
}



/* #endregion */
